Skip to main content

DigiLocker Get Issued Documents API

The following document highlights the details of the DigiLocker Get Issued Documents API.

API Description

Objective

The DigiLocker Get Issued Documents API retrieves a list of documents that are issued by the user and is present in their document vault.

InputOutput
A unique reference identifierA list of documents that are issued by the user and present in their document vault, including document types and URIs

API URL

https://ind-verify.hyperverge.co/api/digilocker/issuedDocuments

API Endpoint

issuedDocuments

Overview

The DigiLocker Get Issued Documents API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Method - POST

Authentication

You need a unique pair of application ID ( appId ) and application key ( appKey ) from HyperVerge to verify your identity for accessing the API.

Headers

HeaderMandatory / OptionalDescriptionInput Format
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tabThis should be a unique value
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tabThis should be a unique value
transactionIdOptionalA unique identifier for tracking a user journeyThis should be both unique and easily associated with the user's journey in your application(s)

Inputs

The following table provides the details of the parameters required for the DigiLocker Get Issued Documents API's request body:

ParameterMandatory / OptionalTypeDescriptionInput FormatDefault Value
referenceIdMandatorystringThe unique reference identifier generated in the initial requestNot ApplicableNot Applicable

Request

The following code snippet demonstrates a standard curl request for the DigiLocker Get Issued Documents API:

curl --location --request POST 'https://ind-verify.hyperverge.co/api/digilocker/issuedDocuments' \
--header 'Content-Type: application/json' \
--header 'appID: <Enter_the_HyperVerge_appId>'\
--header 'appKey: <Enter_the_HyperVerge_appKey>'\
--header 'transactionID: <Enter_the_HyperVerge_transactionID>' \
--data-raw '{
"referenceId": "<Reference_ID>"
}'

Success Responses

The following code snippets demonstrate success responses from the DigiLocker Get Issued Documents API:

{
"status": "success",
"statusCode": "200",
"result": {
"docs": [
{
"docType": "ADHAR",
"uri": "in.gov.uidai-ADHAR-cc16777ca3b4db618240a3db1fb5f69c"
},
{
"docType": "PANCR",
"uri": "in.gov.pan-PANCR-KUYPS6117Q"
}
]
}
}

Success Response Details

The following table outlines the details of the success response from the DigiLocker Get Issued Documents API:

ParameterTypeDescription
statusstringThe status of the request
statusCodestringThe HTTP status code for the response
resultobjectThe JSON object containing the list of issued documents
result.docsarrayAn array of objects containing the document details
result.docs[].docTypestringThe type of document (e.g., "ADHAR", "PANCR")
result.docs[].uristringThe unique resource identifier for the document

Error Responses

The following are some error responses from the DigiLocker Get Issued Documents API:

{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_INVALID_REFID",
"message": "Please try verifying the refId"
}
}
{
"status": "failure",
"statusCode": "504",
"error": {
"code": "ER_DIGILOCKER_REPO_SERVICE_UNPUBLISHED",
"message": "Error Connecting to digilocker. Please try again after sometime."
}
}

Error Response Details

A failure or error response contains a failure status with a relevant status code and error message.
The following table lists all error responses:

Status CodeError MessageError DescriptionError Resolution
400referenceId is requiredThe mandatory referenceId parameter is missing from the requestProvide valid referenceId in the request
400referenceId is not allowed to be emptyThe referenceId parameter is provided but is emptyProvide a non-empty referenceId in the request
400Please try verifying the refIdThe provided referenceId is invalidVerify and provide a valid referenceId
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid valuesProvide valid appId and appKey credentials in the request
504Error Connecting to digilocker. Please try again after sometime.DigiLocker repository service is unresponsive, unpublished, inactive, has a configuration error, response error, or exceptionPlease try again after sometime or contact the HyperVerge team
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: